package com.poscoict.sample;

import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.biz.control.GlueBizProvider;
import com.poscoict.glueframework.context.GlueContext;
import com.poscoict.glueframework.context.GlueDefaultContext;
import com.poscoict.glueframework.context.GlueStaticContext;

import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import java.io.File;

public class SampleApp {
    public static void main(String[] args) throws BadPaddingException, IllegalBlockSizeException {
        /*
         * -D 옵션에 해당합니다.
         */
        System.setProperty("CONFIG_PATH", System.getProperty("user.dir") + File.separator + "etc");
        System.setProperty("cipher.path", System.getProperty("user.dir") + File.separator + "etc");

        /*
         * GlueService 를 실행합니다.
         */
        GlueContext ctx = new GlueDefaultContext();
        ctx.put(GlueBizControlConstants.SERVICE_NAME, "sample-service");
        ctx.put("Deptno", "10");
        GlueBizProvider.getController().doAction(ctx);
        System.out.println(ctx.get("EmpList"));

        /*
         * placeholder 암복호화 적용여부는 glue.properties 의 값을 바꿔서 테스트해보세요.
         */
        String enc = GlueStaticContext.getGlueProperty("jdbc.password");
        System.out.println(enc);
    }
}
