import com.poscoict.glueframework.biz.control.GlueBizControlConstants;
import com.poscoict.glueframework.tester.GlueCipherTester;

import javax.crypto.BadPaddingException;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import java.io.File;
import java.io.IOException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

public class GlueCipherTesterMain {

    public static void main(String[] args) throws InvalidKeyException, BadPaddingException, IllegalBlockSizeException, NoSuchPaddingException, NoSuchAlgorithmException, IOException {
        /*
         * -D 옵션에 해당합니다.
         * cipher.path 를 원하는 경로로 설정 가능.
         * key 파일 생성시 경로를 아래 지정한 경로 (System.getProperty("user.dir") + File.separator + "etc") 와 다르게 변경할 경우,
         * 재호출시에는 생성한 경로로 cipher.path 값을 변경해서 실행해야 이전에 생성한 키파일 인식함.
         */
        System.setProperty(GlueBizControlConstants.SYSTEM_CIPHER_PATH, System.getProperty("user.dir") + File.separator + "etc");

        /*
         * 1. 암호화된 문자열 생성
         * 2. 암호회된 문자열을 복호화
         * 3. key 파일 생성 : 생성된 key 파일을 따로 보관해야함. key 파일이 변경되면 복화화 안됨.
         *    - default path : -Dcipher.path 로 지정된 경로
         *    - default file name : glue.cipher
         */
        GlueCipherTester tester = new GlueCipherTester();
        tester.main(args);
    }
}
